<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsRegressPortMapper">

    <resultMap type="com.ltgk.boat.domain.entity.DsRegressPort" id="DsRegressPortMap">
        <result property="id" column="id"/>
        <result property="enterPortId" column="enter_port_id"/>
        <result property="boatId" column="boat_id"/>
        <result property="boatName" column="boat_name"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="parkedAreaId" column="parked_area_id"/>
        <result property="parkedAreaName" column="parked_area_name"/>
        <result property="holderName" column="holder_name"/>
        <result property="holderPhone" column="holder_phone"/>
        <result property="registerId" column="register_id"/>
        <result property="registerName" column="register_name"/>
        <result property="registerPhone" column="register_phone"/>
        <result property="noticeContent" column="notice_content"/>
        <result property="noticeTime" column="notice_time"/>
        <result property="regressPortStatus" column="regress_port_status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>

